# getEncounterPokemonLevelForWave | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function getEncounterPokemonLevelForWave

- getEncounterPokemonLevelForWave(levelAdditiveModifier?: number): number

  Generates a Pokemon level for a given wave, with an option to increase/decrease by a scaling modifier

  #### Parameters

  - levelAdditiveModifier: number = 0

    Default 0. will add +(1 level / 10 waves * levelAdditiveModifier) to the level calculation

  #### Returns number

  - Defined in src/data/mystery-encounters/utils/encounter-pokemon-utils.ts:962